## ros-galactic-run-ompl-constrained-planning 2.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(run_ompl_constrained_planning)

# Common cmake code applied to all moveit packages
find_package(moveit_common REQUIRED)
moveit_package()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(moveit_ros_planning_interface REQUIRED)
# This shouldn't be necessary (required by moveit_simple_controller_manager)
find_package(rosidl_default_runtime REQUIRED)
find_package(Boost REQUIRED COMPONENTS system)
# uncomment the following section in order to fill in
# further dependencies manually.
# find_package(<dependency> REQUIRED)

add_executable(run_ompl_constrained_planning src/run_ompl_constrained_planning.cpp)

ament_target_dependencies(run_ompl_constrained_planning
  moveit_ros_planning_interface
  Boost
)

install(TARGETS run_ompl_constrained_planning
  EXPORT export_${PROJECT_NAME}
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
  RUNTIME DESTINATION lib/${PROJECT_NAME}
  INCLUDES DESTINATION include
)
ament_export_targets(export_${PROJECT_NAME})

install(DIRECTORY launch
  DESTINATION share/${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-galactic-run-ompl-constrained-planning (2.3.0-1focal) focal; urgency=high

  * Migrate to joint_state_broadcaster (#657 <https://github.com/ros-planning/moveit2/issues/657>)
  * Fix warnings in Galactic and Rolling (#598 <https://github.com/ros-planning/moveit2/issues/598>)
    * Use __has_includes preprocessor directive for deprecated headers
    * Fix parameter template types
    * Proper initialization of smart pointers, rclcpp::Duration
  * Add missing exec dependencies to demo packages (#581 <https://github.com/ros-planning/moveit2/issues/581>)
  * Fix loading joint_limits.yaml in demo and test launch files (#544 <https://github.com/ros-planning/moveit2/issues/544>)
  * Contributors: Henning Kayser, Jafar Abdi, Vatan Aksoy Tezer

 -- Boston Cleek <boston@picknik.ai>  Thu, 07 Oct 2021 21:00:00 -0000

ros-galactic-run-ompl-constrained-planning (2.2.1-1focal) focal; urgency=high



 -- Boston Cleek <boston@picknik.ai>  Sun, 11 Jul 2021 21:00:00 -0000

ros-galactic-run-ompl-constrained-planning (2.2.0-1focal) focal; urgency=high



 -- Boston Cleek <boston@picknik.ai>  Tue, 29 Jun 2021 21:00:00 -0000

ros-galactic-run-ompl-constrained-planning (2.1.4-1focal) focal; urgency=high



 -- Boston Cleek <boston@picknik.ai>  Sun, 30 May 2021 21:00:00 -0000

ros-galactic-run-ompl-constrained-planning (2.1.3-1focal) focal; urgency=high



 -- Boston Cleek <boston@picknik.ai>  Fri, 21 May 2021 21:00:00 -0000

ros-galactic-run-ompl-constrained-planning (2.1.2-1focal) focal; urgency=high

  * Unify PickNik name in copyrights (#419 <https://github.com/ros-planning/moveit2/issues/419>)
  * Remove move_group namespace from MotionPlanning display (#420 <https://github.com/ros-planning/moveit2/issues/420>)
  * Contributors: Tyler Weaver, Vatan Aksoy Tezer

 -- Boston Cleek <boston@picknik.ai>  Mon, 19 Apr 2021 21:00:00 -0000

ros-galactic-run-ompl-constrained-planning (2.1.1-1focal) focal; urgency=high

  * Update launch files to use ros2 control spawner (#405 <https://github.com/ros-planning/moveit2/issues/405>)
  * Use fake_components::GenericSystem from ros2_control (#361 <https://github.com/ros-planning/moveit2/issues/361>)
  * Fix EXPORT install in CMake (#372 <https://github.com/ros-planning/moveit2/issues/372>)
  * Contributors: Boston Cleek, Jafar Abdi, Tyler Weaver

 -- Boston Cleek <boston@picknik.ai>  Sun, 11 Apr 2021 21:00:00 -0000

ros-galactic-run-ompl-constrained-planning (2.1.0-1focal) focal; urgency=high



 -- Boston Cleek <boston@picknik.ai>  Mon, 23 Nov 2020 21:00:00 -0000

ros-galactic-run-ompl-constrained-planning (2.0.0-1focal) focal; urgency=high



 -- Boston Cleek <boston@picknik.ai>  Tue, 12 May 2020 21:00:00 -0000

=== debian/control ===
Source: ros-galactic-run-ompl-constrained-planning
Section: misc
Priority: optional
Maintainer: Boston Cleek <boston@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-ament-lint-auto, ros-galactic-ament-lint-common, ros-galactic-moveit-common, ros-galactic-moveit-ros-planning-interface, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-run-ompl-constrained-planning
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-controller-manager, ros-galactic-moveit-resources-panda-moveit-config, ros-galactic-moveit-ros-move-group, ros-galactic-moveit-ros-planning-interface, ros-galactic-robot-state-publisher, ros-galactic-rviz2, ros-galactic-tf2-ros, ros-galactic-warehouse-ros-mongo, ros-galactic-ros-workspace
Description: Demo ompl constrained planning capabilities

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-run-ompl-constrained-planning//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
